Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.i18n
Class GlobalMessageUtil

    java.lang.Object
      org.pentaho.di.i18n.GlobalMessageUtil

    public class GlobalMessageUtil

extends Object

Constructor Summary
`GlobalMessageUtil()`

Method Summary
`static String` | `formatErrorMessage(String key, String msg)`
`static String` | `getErrorString(ResourceBundle bundle, String key)`
`static String` | `getErrorString(ResourceBundle bundle, String key, String param1)`
`static String` | `getErrorString(ResourceBundle bundle, String key, String param1, String param2)`
`static String` | `getErrorString(ResourceBundle bundle, String key, String param1, String param2, String param3)`
`static String` | `getErrorString(ResourceBundle bundle, String key, String param1, String param2, String param3, String param4)`
`static String` | `getString(ResourceBundle bundle, String key)`
`static String` | `getString(ResourceBundle bundle, String key, String param1)`
`static String` | `getString(ResourceBundle bundle, String key, String param1, String param2)`
`static String` | `getString(ResourceBundle bundle, String key, String param1, String param2, String param3)`
`static String` | `getString(ResourceBundle bundle, String key, String param1, String param2, String param3, String param4)`
`static String` | `getString(ResourceBundle bundle, String key, String param1, String param2, String param3, String param4, String param5)`
`static String` | `getString(ResourceBundle bundle, String key, String param1, String param2, String param3, String param4, String param5, String param6)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalMessageUtil

    public GlobalMessageUtil()

Method Detail

### formatErrorMessage

    public static String formatErrorMessage(String key,
                                            String msg)

### getString

    public static String getString(ResourceBundle bundle,
                                   String key)
                            throws MissingResourceException

  Throws:
    `MissingResourceException`

### getErrorString

    public static String getErrorString(ResourceBundle bundle,
                                        String key)

### getString

    public static String getString(ResourceBundle bundle,
                                   String key,
                                   String param1)

### getErrorString

    public static String getErrorString(ResourceBundle bundle,
                                        String key,
                                        String param1)

### getString

    public static String getString(ResourceBundle bundle,
                                   String key,
                                   String param1,
                                   String param2)

### getErrorString

    public static String getErrorString(ResourceBundle bundle,
                                        String key,
                                        String param1,
                                        String param2)

### getString

    public static String getString(ResourceBundle bundle,
                                   String key,
                                   String param1,
                                   String param2,
                                   String param3)

### getErrorString

    public static String getErrorString(ResourceBundle bundle,
                                        String key,
                                        String param1,
                                        String param2,
                                        String param3)

### getString

    public static String getString(ResourceBundle bundle,
                                   String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4)

### getString

    public static String getString(ResourceBundle bundle,
                                   String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4,
                                   String param5)

### getString

    public static String getString(ResourceBundle bundle,
                                   String key,
                                   String param1,
                                   String param2,
                                   String param3,
                                   String param4,
                                   String param5,
                                   String param6)

### getErrorString

    public static String getErrorString(ResourceBundle bundle,
                                        String key,
                                        String param1,
                                        String param2,
                                        String param3,
                                        String param4)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD